Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156309 - Festival causes ppc internal compiler error
Summary: Festival causes ppc internal compiler error
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-04-28 20:21 UTC by John (J5) Palmieri
Modified: 2013-03-13 04:48 UTC (History)
2 users (show)

Fixed In Version: 4.0.0-3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-10 09:50:52 UTC


Attachments (Terms of Use)
Output by the compiler (deleted)
2005-04-28 20:21 UTC, John (J5) Palmieri
no flags Details


Links
System ID Priority Status Summary Last Updated
GNU Compiler Collection 21330 None None None Never

Description John (J5) Palmieri 2005-04-28 20:21:26 UTC
Description of problem:
When compiling festival on ppc I get this error message

misc.cc: In function 'void GetToken(FILE*, char*)':
misc.cc:98: internal compiler error: in compare_and_jump_seq, at loop-unswitch.c:123
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccAjLlN3.out file, please attach this to
your bugreport.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 John (J5) Palmieri 2005-04-28 20:21:27 UTC
Created attachment 113809 [details]
Output by the compiler

Comment 2 Christopher Aillon 2005-05-05 19:29:22 UTC
Just a note that thunderbird and mozilla hit this issue as well.

Comment 3 Jakub Jelinek 2005-05-10 09:50:52 UTC
No, at least the testcase you provided for thunderbird is unrelated.
That's ICE in try_redirect_to_edge, while this one is in loop unswitching,
completely different part of GCC.

Furthermore, this one ought to be fixed in 4.0.0-3 and above.

Comment 4 Christopher Aillon 2005-05-10 14:24:58 UTC
Sorry for confusion.  thunderbird ICE now filed as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=157243


Note You need to log in before you can comment on or make changes to this bug.